Bug 75265 - convert to xlsx loses column width
Summary: convert to xlsx loses column width
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-20 15:57 UTC by Bruno LEGAY
Modified: 2015-04-01 14:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
sample ods file with column width (7.94 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-02-20 15:57 UTC, Bruno LEGAY
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno LEGAY 2014-02-20 15:57:43 UTC
Created attachment 94445 [details]
sample ods file with column width

When converting a file to xlsx format from the command line, the column width is lost.

First noticed when trying to bach convert xls (SpeadsheetML2003) files to xlsx  (SpeadsheetML2006). But this is also true when converting ods to xlsx. 

This is the sample command line 

/Applications/LibreOffice/LibreOffice.app/Contents/MacOS/soffice --headless --convert-to xlsx test_col_width_convert_lo.ods

this is the output :
convert ...convert/test_col_width_convert_lo.ods -> ...convert/test_col_width_convert_lo.xlsx using Calc MS Excel 2007 XML


Thanks
Comment 1 Dominik 2014-07-18 23:48:40 UTC
i can't confirm this on LO4.3.0.3

can you check if this still occurs for you, or if it's fixed?
Comment 2 QA Administrators 2015-02-19 04:43:00 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 2015-02-18
Comment 3 Bruno LEGAY 2015-02-19 08:08:02 UTC
Hi,

It is also in the latest 4.4.0.3 release

So keep it open :-)

Thanks
Bruno
Comment 4 QA Administrators 2015-04-01 14:52:30 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team This NEEDINFO Message was generated on: 2015-04-01

Warm Regards,
QA Team